<?php
require'fun.php';
require'f_conectare.php';
conectare('verifică pagerank site','verifica-pagerank-site');
$titlu='Verifică pagerank site';
$back[1]='<a href="/extra-meniu">'.img('extra.png',1).'Extra meniu</a>';
require'f_sus.php';
echo$div[4].img('servicii.gif',2).'Verifică pagerank site'.$div[5].$div[10].'Pagerank este valoarea în note între <strong>0</strong> și <strong>10</strong>, a importanței unui site dată de către motorul de căutare <a href="//www.google.com">Google</a>.'.$div[0];
$form[0]='/verifica-pagerank-site" method="post';
$form[1]=1;
$form[2]=$div[1].'Introdu adresa site-ului căruia dorești să-i afli pagerank-ul:<br /><input name="pmtext" value="http://" />'.$div[0];
$form[3]='pmtext';
$form[4]='Verifica pagerank site';
require'f_form.php';
function StrToNum($Str,$verifica,$Magic)
{
$Int32Unit=4294967296;
$length=mb_strlen($Str);
for($i=0;$i<$length;$i++)
{
$verifica*=$Magic;
if($verifica>=$Int32Unit)
{
$verifica=($verifica-$Int32Unit*(int)($verifica/$Int32Unit));
$verifica=($verifica<-2147483648)?($verifica+$Int32Unit):$verifica;
}
$verifica+=ord($Str{$i});
}
return$verifica;
}
function HashURL($String)
{
$verifica1=StrToNum($String,0x1505,0x21);
$verifica2=StrToNum($String,0,0x1003F);
$verifica1>>=2;
$verifica1=(($verifica1>>4)&0x3FFFFC0)|($verifica1&0x3F);
$verifica1=(($verifica1>>4)&0x3FFC00)|($verifica1&0x3FF);
$verifica1=(($verifica1>>4)&0x3C000)|($verifica1&0x3FFF);
$T1=(((($verifica1&0x3C0)<<4)|($verifica1&0x3C))<<2)|($verifica2&0xF0F);
$T2=(((($verifica1&0xFFFFC000)<<4)|($verifica1&0x3C00))<<0xA)|($verifica2&0xF0F0000);
return($T1|$T2);
}
function CheckHash($Hashnum)
{
$verificaByte=0;
$Flag=0;
$HashStr=sprintf('%u',$Hashnum);
$length=mb_strlen($HashStr);
for($i=$length-1;$i>=0;$i--)
{
$Re=$HashStr{$i};
if(1===($Flag%2))
{
$Re+=$Re;
$Re=(int)($Re/10)+($Re%10);
}
$verificaByte+=$Re;
$Flag++;
}
$verificaByte%=10;
if(0!==$verificaByte)
{
$verificaByte=10-$verificaByte;
if(1===($Flag%2))
{
if(1===($verificaByte%2))
$verificaByte+=9;
$verificaByte>>=1;
}
}
return'7'.$verificaByte.$HashStr;
}
function getpr($url)
{
$ch=curl_init();
curl_setopt($ch,CURLOPT_HEADER,0);
curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);
curl_setopt($ch,CURLOPT_URL,'http://toolbarqueries.google.com/tbr?client=navclient-auto&ch='.CheckHash(HashURL($url)).'&features=Rank&q=info:'.$url.'&num=100&filter=0');
curl_setopt($ch,CURLOPT_TIMEOUT,5);
$data=curl_exec($ch);
curl_close($ch);
$pos=mb_strpos($data,'Rank_');
if($pos!==false)
return mb_substr($data,$pos+9);
}
if($pmtext=='')
$pmtext=$adresasite[3];
echo$div[4].img('servicii.gif',2).'Pagerank pentru site-ul '.htmlspecialchars($pmtext).$div[5];
$pr=getpr($pmtext);
if($pr==0)
echo$div[7];
else
echo$div[6];
echo'Site-ul '.htmlspecialchars($pmtext).' are pagerank-ul: <strong>'.$pr.'</strong>'.$div[0];
require'f_jos.php';